Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SceneObjectSetIterator::Stack Class Reference

`#include <SceneObjectSet.h>`

Inheritance diagram for SceneObjectSetIterator::Stack:

## Public Member Functions
void | push_back (SceneObjectSet *)
Public Member Functions inherited from Vector< Entry >
| Vector (const U32 initialSize=0)
| Vector (const U32 initialSize, const char *fileName, const U32 lineNum)
| Vector (const char *fileName, const U32 lineNum)
| Vector (const Vector &)
| ~Vector ()
void | setFileAssociation (const char *file, const U32 line)
void | insert (U32)
void | erase (U32)
U32 | memSize () const
Entry * | address () const
U32 | setSize (U32)
void | increment (U32=1)
void | increment (const Entry *array, U32=1)
void | decrement (U32=1)
void | erase_fast (U32)
void | erase_fast (iterator)
void | clear ()
void | compact ()
void | sort (compare_func f)
Entry & | first ()
const Entry & | first () const
Entry & | last ()
const Entry & | last () const
void | set (void *addr, U32 sz)
void | merge (const Vector &p)
Vector< Entry > & | operator= (const Vector< Entry > &p)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
S32 | size () const
bool | empty () const
bool | contains (const Entry &) const
void | insert (iterator, const Entry &)
void | erase (iterator)
Entry & | front ()
const Entry & | front () const
Entry & | back ()
const Entry & | back () const
void | push_front (const Entry &)
void | push_back (const Entry &)
U32 | push_front_unique (const Entry &)
U32 | push_back_unique (const Entry &)
S32 | find_next (const Entry &, U32 start=0) const
void | pop_front ()
void | pop_back ()
Entry & | operator[] (U32)
const Entry & | operator[] (U32) const
Entry & | operator[] (S32 i)
const Entry & | operator[] (S32 i) const
Entry & | at (U32)
const Entry & | at (U32) const
void | reserve (U32)
U32 | capacity () const

## Additional Inherited Members
Public Types inherited from Vector< Entry >
typedef Entry | value_type
typedef Entry & | reference
typedef const Entry & | const_reference
typedef Entry * | iterator
typedef const Entry * | const_iterator
typedef S32 | difference_type
typedef U32 | size_type
typedef difference_type(QSORT_CALLBACK * | compare_func) (const Entry *a, const Entry *b)
Protected Member Functions inherited from Vector< Entry >
bool | resize (U32)
void | destroy (U32 start, U32 end)
| Destructs elements from start to end-1 More...
void | construct (U32 start, U32 end)
| Constructs elements from start to end-1 More...
void | construct (U32 start, U32 end, const Entry *array)
Protected Attributes inherited from Vector< Entry >
U32 | mElementCount
U32 | mArraySize
Entry * | mArray
const char * | mFileAssociation
U32 | mLineAssociation

## Member Function Documentation

void push_back | ( | SceneObjectSet * | set | ) |
| inline

The documentation for this class was generated from the following files:

- 2d/sceneobject/SceneObjectSet.h
- 2d/sceneobject/SceneObjectSet.cc